import numpy as np
import pdb

infile = "./NistHeArNe.origin.dat"
outfile = "./NistHeArNe.dat"

l = []
with open(infile,"r") as f:
    for eachline in f:
        try:
            each = eachline.split("|")
            eachIntensity = float(each[2].strip())
            eachWavelength = float(each[1].strip())
            eachName = each[0].strip()
            l.append([eachWavelength, eachIntensity, eachName])
        except:
            pdb.set_trace()

header=\
"""# generate from http://physics.nist.gov/PhysRefData/ASD/lines_form.html
# wavelength range 7000~10000
# all wavelength in vacumm
"""
with open(outfile, "w") as f:
    f.write(header)
    for each in l:
        f.write("{:9.4f} {:9.1f} {}\n".format(each[0], each[1], each[2]))

