import astropy.io.fits as pyfits
import matplotlib.pyplot as plt
import numpy as np
#from fmajorAstroUtils.DS10.goodFigure import PlotDynamic


newArc = pyfits.open("newarc.fits")[0].data
oldArc = pyfits.open("oldarc.fits")[0].data
waveset = pyfits.open("waveset.fits")[0].data

fig = plt.figure()
ax = fig.add_subplot(111)
#dynamic = PlotDynamic(ax, ion=False, show=False)

ax.plot(waveset[0], oldArc[0]/oldArc[0].max(), "r")
ax.plot(waveset[60], oldArc[60]/oldArc[60].max(), "r")
ax.plot(waveset[-1], oldArc[-1]/oldArc[-1].max(), "r")
ax.plot(waveset[3], 5*newArc[0]/newArc[0].max(), "g")
ax.plot(waveset[4], 5*newArc[1]/newArc[1].max(), "g")
ax.plot(waveset[54]-5, 5*newArc[57]/newArc[57].max(), "g")
ax.plot(waveset[55]-5, 5*newArc[58]/newArc[58].max(), "g")
ax.plot(waveset[56]-5, 5*newArc[59]/newArc[59].max(), "g")
ax.plot(waveset[57]-5, 5*newArc[60]/newArc[60].max(), "g")
ax.plot(waveset[-1]-4.5, 5*newArc[-1]/newArc[-1].max(), "g")
ax.plot(waveset[-2]-4.5, 5*newArc[-2]/newArc[-2].max(), "g")

dtype = np.dtype([("lambda", np.float64), ("intensity", np.float64),
                  ("name", "S10"), ("type", np.int64)])
lines = []
with open("lines.dat") as f:
    for eachline in f:
        if eachline[0]=="#":
            continue
        each = eachline.strip().split()
        each = (float(each[0]), float(each[1]), each[2], int(each[3]))
        lines.append(each)
lines = np.array(lines, dtype=dtype)
for eachLine in lines["lambda"]:
    ax.plot([eachLine, eachLine], [0,1], "k")
fig.tight_layout()
plt.show()
