(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4675,        167]
NotebookOptionsPosition[      4251,        146]
NotebookOutlinePosition[      4634,        163]
CellTagsIndexPosition[      4591,        160]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"maxLength", "=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"LegendreP", "[", 
      RowBox[{"n", ",", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "maxLength"}], "}"}]}], "]"}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tt", " ", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"LegendreP", "[", 
        RowBox[{"n", ",", "x"}], "]"}], ",", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "maxLength"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"t", "[", 
         RowBox[{"[", "n", "]"}], "]"}], "/.", 
        RowBox[{"x", "\[Rule]", 
         RowBox[{"-", "1"}]}]}], ",", 
       RowBox[{
        RowBox[{"t", "[", 
         RowBox[{"[", "n", "]"}], "]"}], "/.", 
        RowBox[{"x", "\[Rule]", "1"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", 
       RowBox[{"maxLength", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AA", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"tt", "[", 
         RowBox[{"[", "n", "]"}], "]"}], "/.", 
        RowBox[{"x", "\[Rule]", 
         RowBox[{"-", "1"}]}]}], ",", 
       RowBox[{
        RowBox[{"tt", "[", 
         RowBox[{"[", "n", "]"}], "]"}], "/.", 
        RowBox[{"x", "\[Rule]", "1"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", 
       RowBox[{"maxLength", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "A", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "AA", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.685403886305502*^9, 3.685403897189867*^9}, {
  3.685403943653212*^9, 3.685404075463175*^9}, {3.685404123146047*^9, 
  3.6854042100615273`*^9}, {3.685404242100672*^9, 3.6854042526121283`*^9}, {
  3.685404285920323*^9, 3.6854043836826363`*^9}, {3.685404413981883*^9, 
  3.685404450084998*^9}, {3.6854045426216593`*^9, 3.685404547864582*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.6854045624954348`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "21"}], ",", "21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"28", ",", "28"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.685404562551941*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{975, 598},
WindowMargins->{{452, Automatic}, {4, Automatic}},
Magnification:>2. Inherited,
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (June 27, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 2326, 69, 354, "Input"],
Cell[CellGroupData[{
Cell[2931, 95, 652, 23, 72, "Print"],
Cell[3586, 120, 637, 22, 72, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
